Bug 1979790 - Review Request: golang-github-schollz-cli-2 - A simple, fast, and fun package for building command line apps in Go
Summary: Review Request: golang-github-schollz-cli-2 - A simple, fast, and fun package...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1980196
TreeView+ depends on / blocked
 
Reported: 2021-07-07 05:04 UTC by Davide Cavalca
Modified: 2021-11-14 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 16:43:23 UTC
Type: ---
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-07 05:04:00 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-cli/golang-github-schollz-cli.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-cli/golang-github-schollz-cli-2.2.1-1.fc35.src.rpm

Description:

A simple, fast, and fun package for building command line apps in Go.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-07 05:04:03 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=71431261

Comment 3 Hirotaka Wakabayashi 2021-10-02 14:34:46 UTC
Hello, Koji build is failing. Please check:
https://koji.fedoraproject.org/koji/taskinfo?taskID=76605865 

Hirotaka

Comment 5 Hirotaka Wakabayashi 2021-10-23 13:51:08 UTC
Hello, Thank you for your comment.

Here is a successful koji scratch build.
https://koji.fedoraproject.org/koji/taskinfo?taskID=77708226

Comment 6 Hirotaka Wakabayashi 2021-11-08 23:43:37 UTC
Hello Davide, please check my review. One rpmlint error is detected.
You should create a separate *-doc source package because most of 
duplicated files of this package are docs.

Thanks in advance,
Hirotaka


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- One rpmlint error(`files-duplicated-waste`) is detected. Please see:
  https://docs.fedoraproject.org/en-US/packaging-guidelines/#_use_rpmlint
- Documentation size is bigger than 1MB. You should separate docs from main
  package if docs causes the main package to pull than it would without the
  documentation. Please see:
  https://docs.fedoraproject.org/en-US/packaging--guidelines/#_documentation

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
$ rpmlint results/golang-github-schollz-cli-2-2.2.1-1.fc36.src.rpm 
========================================================================================================= rpmlint session starts =========================================================================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2.spec: W: no-%build-section
golang-github-schollz-cli-2.spec:52: W: macro-in-%changelog %autochangelog
========================================================================== 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.6 s ==========================================================================

$ rpmlint results/golang-github-schollz-cli-2-devel-2.2.1-1.fc36.noarch.rpm 
========================================================================================================= rpmlint session starts =========================================================================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/schollz/cli/v2/.goipath
golang-github-schollz-cli-2-devel.noarch: E: files-duplicated-waste 110811
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/CODE_OF_CONDUCT.md /usr/share/doc/golang-github-schollz-cli-2-devel/CODE_OF_CONDUCT.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/README.md /usr/share/doc/golang-github-schollz-cli-2-devel/README.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/docs/CHANGELOG.md /usr/share/doc/golang-github-schollz-cli-2-devel/docs/CHANGELOG.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/docs/CONTRIBUTING.md /usr/share/doc/golang-github-schollz-cli-2-devel/docs/CONTRIBUTING.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/docs/migrate-v1-to-v2.md /usr/share/doc/golang-github-schollz-cli-2-devel/docs/migrate-v1-to-v2.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/docs/v1/manual.md /usr/share/doc/golang-github-schollz-cli-2-devel/docs/v1/manual.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/docs/v2/manual.md /usr/share/doc/golang-github-schollz-cli-2-devel/docs/v2/manual.md
========================================================================== 1 packages and 0 specfiles checked; 1 errors, 8 warnings, 1 badness; has taken 0.2 s ==========================================================================


Source checksums
----------------
https://github.com/schollz/cli/archive/v2.2.1/cli-2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c
  CHECKSUM(SHA256) upstream package : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c


Requires
--------
golang-github-schollz-cli-2-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/BurntSushi/toml)
    golang(github.com/cpuguy83/go-md2man/v2/md2man)
    golang(gopkg.in/yaml.v2)



Provides
--------
golang-github-schollz-cli-2-devel:
    golang(github.com/schollz/cli/v2)
    golang(github.com/schollz/cli/v2/altsrc)
    golang-github-schollz-cli-2-devel
    golang-ipath(github.com/schollz/cli/v2)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1979790
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, Ocaml, Java, PHP, R, C/C++, Haskell, SugarActivity, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 Hirotaka Wakabayashi 2021-11-10 00:23:06 UTC
Hello Davide, 

Thank you for your reply. I confirmed the rpmlint error is fixed.
I found another thing. Patch files must be checked into the Fedora 
package repository. Please change the spec file like this:
```
# Make test case compatible with Go 1.17
# https://github.com/urfave/cli/pull/1299
Patch0: app_test.go.patch
```
Please see:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_all_patches_should_have_an_upstream_bug_link_or_comment
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_applying_patches

Thanks in advance,
Hirotaka

Comment 9 Davide Cavalca 2021-11-11 03:12:36 UTC
I believe this is already the case. The specfile is currently doing:

# Make test case compatible with Go 1.17
Patch0:         https://github.com/urfave/cli/pull/1299.patch

This will result in spectool downloading the patch, and it will be included in dist-git alongside the specfile when the package is imported. This is a pretty common pattern, and I personally prefer it because it makes it obvious that we're using an unmodified patch from upstream.

Comment 10 Hirotaka Wakabayashi 2021-11-12 02:20:28 UTC
Hello Davide, thank you for your comment!

It is reasonable for me to submit patches to the Fedora repository. I wonder
how everybody can track changes of them.

Could you ask schollz to merge the patch? I think you need not to add the
patch to the Fedora repository if the patch is accepted by the upstream.

If you think you need no changes anymore, I can ask the Fedora Packaging
Committee how to apply the patch guidelines in this case.

Thanks in advance,
Hirotaka

Comment 11 Michel Alexandre Salim 2021-11-12 17:15:31 UTC
Hi Hirotaka,

(In reply to Hirotaka Wakabayashi from comment #10)
> Hello Davide, thank you for your comment!
> 
> It is reasonable for me to submit patches to the Fedora repository. I wonder
> how everybody can track changes of them.
> 
I think there's some confusion here. As Davide said, this patch *will* be checked in once the review is approved and there is a dist-git repo for the package. Otherwise, we don't really have a place to check it in anyway.

> Could you ask schollz to merge the patch? I think you need not to add the
> patch to the Fedora repository if the patch is accepted by the upstream.
> 
It's unrealistic to expect a package to have no patches at review time, I think. Even once it's approved, patches will be needed occasionally. The requirement that patches have links is exactly so we can keep the number we carry to a minimum, as we can check if they have been merged (or, by using 'spectool -gf', to notice if they have been updated, if it's a patch by a third party)

> If you think you need no changes anymore, I can ask the Fedora Packaging
> Committee how to apply the patch guidelines in this case.
> 
I don't think FPC needs to weigh in here, it will just block the review unnecessarily. But thanks for being really thorough!

Comment 12 Hirotaka Wakabayashi 2021-11-13 02:30:26 UTC
Hello Michel, Thanks a lot for your support! 

It is no problem if the patch will be imported to the Fedora repo. I have
asked Davide to change the spec file because it was difficult for me to 
understand the how the patch will be checked in.

Patch Guidelines say it is best practice to file it in an upstream bug
tracker. But In this case, the patch is not filed yet there. So I have
asked Davide to file it to the upstream bug tracker. Please see:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_all_patches_should_have_an_upstream_bug_link_or_comment

Davide, I'll check for other issues today. I'm not going to block the review,
so please forgive me.

Thanks in advance,
Hirotaka

Comment 13 Davide Cavalca 2021-11-13 05:24:42 UTC
Thanks for clarifying. Upstream in this case is actually a fork of urfave/cli, which is where the patch I'd included here originated from. Upstream doesn't have issues enabled, but they do take PRs, so I've cherrypicked the commits and resubmitted them as https://github.com/schollz/cli/pull/1.

Spec URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-cli-2/golang-github-schollz-cli-2.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/golang-github-schollz-cli-2/golang-github-schollz-cli-2-2.2.1-1.fc36.src.rpm

Changelog:
- Replace patch with upstream PR

Comment 14 Hirotaka Wakabayashi 2021-11-13 07:08:19 UTC
Hi Davide, Thank you for your quick reply! Package is almost approved.

Please add a copy of the LICENSE file to -doc subpackage if -doc subpackage is
independent of -devel package.
```
%files doc
%doc docs
%license LICENSE   <--- this line is needed.
```

If -doc package is dependent upon -devel package, please add "Requires:" tag to
-doc subpackage.

Please see:
https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#subpackage-licensing

Regards,
Hirotaka



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The subpackage is independent of the base package but it doesn't have
  copies of any license texts.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[!]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
```
$ rpmlint golang-github-schollz-cli-2-2.2.1-1.fc36.src.rpm
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2.spec: W: no-%build-section
golang-github-schollz-cli-2.spec:62: W: macro-in-%changelog %autochangelog
====================== 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.3 s ======================


$ rpmlint golang-github-schollz-cli-2-devel-2.2.1-1.fc36.noarch.rpm 
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/schollz/cli/v2/.goipath
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/CODE_OF_CONDUCT.md /usr/share/doc/golang-github-schollz-cli-2-devel/CODE_OF_CONDUCT.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/README.md /usr/share/doc/golang-github-schollz-cli-2-devel/README.md
====================== 1 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.1 s ======================


$ rpmlint golang-github-schollz-cli-2-doc-2.2.1-1.fc36.noarch.rpm
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

====================== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s ======================
```



Source checksums
----------------
https://github.com/schollz/cli/archive/v2.2.1/cli-2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c
  CHECKSUM(SHA256) upstream package : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c


Requires
--------
golang-github-schollz-cli-2-doc (rpmlib, GLIBC filtered):

golang-github-schollz-cli-2-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/BurntSushi/toml)
    golang(github.com/cpuguy83/go-md2man/v2/md2man)
    golang(gopkg.in/yaml.v2)



Provides
--------
golang-github-schollz-cli-2-doc:
    golang-github-schollz-cli-2-doc

golang-github-schollz-cli-2-devel:
    golang(github.com/schollz/cli/v2)
    golang(github.com/schollz/cli/v2/altsrc)
    golang-github-schollz-cli-2-devel
    golang-ipath(github.com/schollz/cli/v2)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1979790
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, R, Ocaml, fonts, PHP, C/C++, Haskell, Java, Python, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 16 Hirotaka Wakabayashi 2021-11-14 03:49:26 UTC
Hi Davide, Thank you for your quick reply! Package approved!!

Regards,
Hirotaka


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
```
$ rpmlint golang-github-schollz-cli-2-2.2.1-1.fc36.src.rpm
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2.spec: W: no-%build-section
golang-github-schollz-cli-2.spec:62: W: macro-in-%changelog %autochangelog
====================== 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.6 s ======================

$ rpmlint golang-github-schollz-cli-2-devel-2.2.1-1.fc36.noarch.rpm
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-schollz-cli-2-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/schollz/cli/v2/.goipath
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/CODE_OF_CONDUCT.md /usr/share/doc/golang-github-schollz-cli-2-devel/CODE_OF_CONDUCT.md
golang-github-schollz-cli-2-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/schollz/cli/v2/README.md /usr/share/doc/golang-github-schollz-cli-2-devel/README.md
====================== 1 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.1 s ======================
$ rpmlint golang-github-schollz-cli-2-doc-2.2.1-1.fc36.noarch.rpm
===================================================== rpmlint session starts =====================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

====================== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s ======================
```


Source checksums
----------------
https://github.com/schollz/cli/archive/v2.2.1/cli-2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c
  CHECKSUM(SHA256) upstream package : c67fe8a60f9f53c99311aeac72c3b0b0c0fb0e1377286bed1e3c463b26c7bf3c


Requires
--------
golang-github-schollz-cli-2-doc (rpmlib, GLIBC filtered):

golang-github-schollz-cli-2-devel (rpmlib, GLIBC filtered):
    go-filesystem
    golang(github.com/BurntSushi/toml)
    golang(github.com/cpuguy83/go-md2man/v2/md2man)
    golang(gopkg.in/yaml.v2)



Provides
--------
golang-github-schollz-cli-2-doc:
    golang-github-schollz-cli-2-doc

golang-github-schollz-cli-2-devel:
    golang(github.com/schollz/cli/v2)
    golang(github.com/schollz/cli/v2/altsrc)
    golang-github-schollz-cli-2-devel
    golang-ipath(github.com/schollz/cli/v2)



Diff spec file in url and in SRPM
---------------------------------
--- /home/build/dev/fedora_packaging/1979790-golang-github-schollz-cli-2/srpm/golang-github-schollz-cli-2.spec	2021-11-13 07:57:48.867229080 +0000
+++ /home/build/dev/fedora_packaging/1979790-golang-github-schollz-cli-2/srpm-unpacked/golang-github-schollz-cli-2.spec	2021-11-13 05:21:29.000000000 +0000
@@ -55,5 +55,4 @@
 
 %files doc
-%license LICENSE
 %doc docs
 


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1979790
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: R, C/C++, Python, Haskell, SugarActivity, Ocaml, fonts, PHP, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 17 Davide Cavalca 2021-11-14 15:56:55 UTC
Thanks!

$ fedpkg request-repo golang-github-schollz-cli-2 1979790
https://pagure.io/releng/fedora-scm-requests/issue/37497

Comment 18 Gwyn Ciesla 2021-11-14 16:17:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-schollz-cli-2

Comment 19 Fedora Update System 2021-11-14 16:40:30 UTC
FEDORA-2021-9f1d043ef7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9f1d043ef7

Comment 20 Fedora Update System 2021-11-14 16:43:23 UTC
FEDORA-2021-9f1d043ef7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.